Changeset 2802

Show
Ignore:
Timestamp:
03/24/06 00:22:33 (17 years ago)
Author:
jerome
Message:

Cleaned up some things... It seems I've found a bug either in libc, libpam or
in python-pam, so wait and see...

Files:
1 modified

Legend:

Unmodified
Added
Removed
  • pykota/trunk/bin/pknotify

    r2799 r2802  
    154154        return xmlrpclib.Binary(msg.replace("\\n", "\n")) 
    155155         
    156     def convPAM(self, auth, queries, userdata) : 
     156    def convPAM(self, auth, queries=[], userdata=None) : 
    157157        """Prepares PAM datas.""" 
    158158        response = [] 
     
    194194    def alarmHandler(self, signum, frame) :         
    195195        """Alarm handler.""" 
    196         raise TimeoutError, "The end user at %s:%i didn't answer after %i seconds !" % (self.destination, self.port, self.timeout) 
     196        raise TimeoutError, _("The end user at %s:%i didn't answer within %i seconds. The print job will be cancelled.") % (self.destination, self.port, self.timeout) 
    197197         
    198198    def main(self, arguments, options) : 
     
    266266        except TimeoutError, msg :     
    267267            self.printInfo(msg, "warn") 
     268            print "CANCEL"      # Timeout occured : job is cancelled. 
    268269             
    269270        if self.timeout :